﻿$ErrorActionPreference = 'Stop';
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = 'restic'
  fileType       = 'zip'
  softwareName   = 'restic'
  url            = 'https://github.com/restic/restic/releases/download/v0.12.0/restic_0.12.0_windows_386.zip'
  url64bit       = 'https://github.com/restic/restic/releases/download/v0.12.0/restic_0.12.0_windows_amd64.zip'
  checksum       = 'A4239CE6DA7F2934B3D732865BBFE7A866EFBDCDA80258BC4A247D3DEF967F9C'
  checksum64     = '0440615136EECFA56E9844E37679738622563C126C9CAFB96433CEC4BA11699A'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  UnzipLocation  = $toolsDir
}

$FileName = "/restic_0.12.0_windows_amd64.exe"
Install-ChocolateyZipPackage @packageArgs

$restic = ("$toolsDir" + "/restic.exe")

if (Test-Path $restic) {
  Remove-Item $restic
}

Rename-Item -Path ("$toolsDir" + "$FileName") -NewName "restic.exe"